import { Base, Type } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { ST_StyleEntryModifier } from "./ST_StyleEntryModifier";
/**
 * @hidden
 */
export declare class ST_StyleEntryModifierList extends Base {
    static $t: Type;
    private c;
    d: List$1<ST_StyleEntryModifier>;
    static a(a: string): ST_StyleEntryModifierList;
    e(): string;
    static b(a: string): ST_StyleEntryModifierList;
    f(): string;
}
